# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit abe6f3b0e4a76ff80315cf6e958549e8295737d6
    parent 86fa756033e9072a4b114a50896baff36b804ce4
    Author: Aurélien Aptel <aurelien.aptel@gmail.com>
    Date:   Thu, 14 May 2009 00:27:37 +0200

    removed the truecolor stuff

    Diffstat:
    Mst.h | 20+++++---------------

    1 file changed, 5 insertions(+), 15 deletions(-)
    diff --git a/st.h b/st.h
    @@ -1,5 +1,4 @@
     /* See LICENSE for licence details. */
    -
     #define _XOPEN_SOURCE
     #include <ctype.h>
     #include <fcntl.h>
    @@ -8,11 +7,11 @@
     #include <stdio.h>
     #include <stdlib.h>
     #include <string.h>
    -#include <unistd.h>
    -#include <sys/types.h>
    -#include <sys/stat.h>
    -#include <sys/select.h>
     #include <sys/ioctl.h>
    +#include <sys/select.h>
    +#include <sys/stat.h>
    +#include <sys/types.h>
    +#include <unistd.h>
     #include <X11/Xlib.h>
     #include <X11/keysym.h>
     #include <X11/Xutil.h>
    @@ -28,7 +27,7 @@
     #define SHELL "/bin/bash"
     #define TAB    8

    -#define FONT "-*-terminus-medium-r-normal-*-14-*-*-*-*-*-*-*"
    +#define FONT "fixed"
     #define BORDER 3
     #define LINESPACE 1 /* additional pixel between each line */

    @@ -49,7 +48,6 @@ static char* colorname[] = {
     	"white",
     };

    -
     /* Arbitrary sizes */
     #define ESCSIZ 256
     #define ESCARG 16
    @@ -68,14 +66,6 @@ enum { CRset=1 , CRupdate=2 }; /* Character state */
     enum { TMwrap=1 , TMinsert=2 }; /* Terminal mode */
     enum { SCupdate, SCredraw }; /* screen draw mode */

    -#ifdef TRUECOLOR
    -#error Truecolor not implemented yet
    -typedef int Color;
    -#else
    -typedef char Color;
    -#endif
    -
    -
     typedef struct {
     	char c;     /* character code  */
     	char mode;  /* attribute flags */